javassist-manual-3.23.1-4.1.noarch.rpm


Advertisement

Description

javassist-manual - Tutorial for javassist

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename javassist-manual-3.23.1-4.1.noarch.rpm
Package name javassist-manual
Package version 3.23.1
Package release 4.1
Package architecture noarch
Package type rpm
Category Documentation/Other
Homepage https://www.javassist.org/
License LGPL-2.1-or-later OR MPL-1.1
Maintainer -
Download size 31.86 KB
Installed size 103.61 KB
Tutorial for javassist.
Tutorial for javassist.

Alternatives

Package Version Architecture Repository
javassist-manual-3.23.1-44.1.noarch.rpm 3.23.1 noarch JAVA
javassist-manual - - -

Provides

Name Value
javassist-manual = 3.23.1-4.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package javassist-manual-3.23.1-4.1.noarch.rpm
Source Package javassist-3.23.1-4.1.src.rpm

Install Howto

Install javassist-manual rpm package:

# zypper install javassist-manual

Files

Path
/usr/share/doc/packages/javassist-3.23.1/tutorial/brown.css
/usr/share/doc/packages/javassist-3.23.1/tutorial/tutorial.html
/usr/share/doc/packages/javassist-3.23.1/tutorial/tutorial2.html
/usr/share/doc/packages/javassist-3.23.1/tutorial/tutorial3.html

Changelog

2019-04-15 - Fridrich Strba <fstrba@suse.com>
- Added patch:
* javassist-java8-compat.patch
- Allow building on systems that do not have java 9 or higher
2018-10-18 - Fridrich Strba <fstrba@suse.com>
- Install and package the maven pom and metadata files
2018-10-15 - Fridrich Strba <fstrba@suse.com>
- BuildRequire at least Java 9. This version uses APIs introduced
in Java 9
2018-10-07 - Jan Engelhardt <jengelh@inai.de>
- Replace old $RPM_* shell vars by macros.
2018-10-05 - pmonrealgonzalez@suse.com
- Version update to 3.23.1:
* 3.23.1 Github PR #171
* 3.23   Fix leaking file handlers in ClassPool and removed
ClassPath.close(). Github issue #165
* 3.22   Java 9 supports.
JIRA JASSIST-261.
- Dropped patch fixed upstream:
javassist-rel_3_21_0_ga-javadoc.patch
2017-09-08 - fstrba@suse.com
- Specify java target and source version 1.6 in order to allow
building with jdk9
- Added patch:
* javassist-rel_3_21_0_ga-javadoc.patch
- fix javadoc errors that are fatal with jdk9
2017-06-09 - tchvatal@suse.com
- Version update to 3.21.0:
* various compiler settings
* Require java >= 1.6
2015-01-24 - p.drouand@gmail.com
- Update to version 3.19.0
* Including a number of bug fixes and Java 8 supports.
- Clean up specfile
- Remove redundant %clean section
- Build for java API 1.5
- Remove unzip requirement
- Update home page and download source Urls
2014-09-03 - ro@suse.de
- fix group entries for subpackages
2014-09-02 - ro@suse.de
- sanitize release line in specfile

See Also

Package Description
javazic-1.6.0-23.4.noarch.rpm A time zone compiler for Java
jaxen-1.1.1-32.1.noarch.rpm The jaxen project is a Java XPath Engine
jaxodraw-2.1.0-4.1.noarch.rpm A Java-based GUI for drawing Feynman diagrams
jaxodraw-javadoc-2.1.0-4.1.noarch.rpm Javadocs for jaxodraw
jaxodraw-latex-2.1.0-4.1.noarch.rpm LaTeX style file axodraw4j.sty for documents generated with jaxodraw
jbig2dec-0.14-1.3.i586.rpm JBIG2 Decoder Utility
jbig2dec-0.14-1.3.x86_64.rpm JBIG2 Decoder Utility
jbig2dec-devel-0.14-1.3.i586.rpm JBIG2 decoder development files
jbig2dec-devel-0.14-1.3.x86_64.rpm JBIG2 decoder development files
jbig2dec-devel-32bit-0.14-1.3.x86_64.rpm JBIG2 decoder development files
jbigkit-2.1-3.14.i586.rpm JBIG1 lossless image compression tools
jbigkit-2.1-3.14.x86_64.rpm JBIG1 lossless image compression tools
jboss-interceptors-1.2-api-1.0.0-1.1.noarch.rpm Java EE Interceptors 1.2 API
jboss-interceptors-1.2-api-javadoc-1.0.0-1.1.noarch.rpm Javadoc for jboss-interceptors-1.2-api
jcifs-1.3.19-1.1.noarch.rpm Common Internet File System Client in 100% Java
Advertisement
Advertisement